SuperPaintParserInternal::Shape Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
SuperPaintParserInternal::Shape Struct Reference

Internal: the shape of a SuperPaintParser. More...

## Public Types
enum | Type { GraphicShape, Group, Picture, TextBox }
| the type More...

## Public Member Functions
| Shape (Type type, MWAWBox2f const &box)
| constructor More...

## Public Attributes
Type | m_type
| the shape type More...
MWAWBox2f | m_box
| the bdbox More...
MWAWEntry | m_entry
| the picture/textbox entry More...
MWAWGraphicShape | m_shape
| the graphic shape More...
MWAWGraphicStyle | m_style
| the graphic style More...
MWAWFont | m_font
| the textbox font More...
MWAWParagraph::Justification | m_justify
| the textbox justification More...
double | m_interline
| the interline in percent More...

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<< More...

## Detailed Description

Internal: the shape of a SuperPaintParser.

## Member Enumeration Documentation

## ◆ Type

enum SuperPaintParserInternal::Shape::Type

the type

Enumerator
GraphicShape |
Group |
Picture |
TextBox |

## Constructor & Destructor Documentation

## ◆ Shape()

SuperPaintParserInternal::Shape::Shape | ( | Type | type,
|  | MWAWBox2f const & | box
| ) |  |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f SuperPaintParserInternal::Shape::m_box

the bdbox

Referenced by SuperPaintParserInternal::operator<<().

## ◆ m_entry

MWAWEntry SuperPaintParserInternal::Shape::m_entry

the picture/textbox entry

## ◆ m_font

MWAWFont SuperPaintParserInternal::Shape::m_font

the textbox font

## ◆ m_interline

double SuperPaintParserInternal::Shape::m_interline

the interline in percent

## ◆ m_justify

MWAWParagraph::Justification SuperPaintParserInternal::Shape::m_justify

the textbox justification

## ◆ m_shape

MWAWGraphicShape SuperPaintParserInternal::Shape::m_shape

the graphic shape

Referenced by SuperPaintParserInternal::operator<<().

## ◆ m_style

MWAWGraphicStyle SuperPaintParserInternal::Shape::m_style

the graphic style

Referenced by SuperPaintParserInternal::operator<<().

## ◆ m_type

Type SuperPaintParserInternal::Shape::m_type

the shape type

Referenced by SuperPaintParserInternal::operator<<().

The documentation for this struct was generated from the following file:

- SuperPaintParser.cxx